Image - Get Metadata
Získá metadata pro zadaný obrázek.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/images/{imageId}/metadata
Parametry identifikátoru URI
| Name | V | Vyžadováno | Typ | Description |
|---|---|---|---|---|
|
image
|
path | True |
string uuid |
ID image. |
|
tenant
|
path | True |
string uuid |
ID tenanta Azure Sphere |
Odpovědi
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Úspěch. |
Příklady
Get an image's metadata
Sample Request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/images/985453bb-eb5c-4ff2-8e06-aef4786ac445/metadata
Sample Response
{
"Id": "985453bb-eb5c-4ff2-8e06-aef4786ac445",
"Name": "DishwasherHighLevelApp",
"ComponentId": "45f4d635-1ac8-4fc3-b386-ffb74f13331f",
"Description": null,
"ImageType": 10,
"Type": 10
}
Definice
ImageMetadata
| Name | Typ | Description |
|---|---|---|
| ComponentId |
string |
Získá nebo nastaví identifikátor komponenty. |
| Description |
string |
Získá nebo nastaví informace popisující obrázek. |
| Id |
string |
Získá nebo nastaví identifikátor image. |
| ImageType |
integer |
Tato vlastnost je zastaralá. Použijte prosím ImageMetadata.Type. |
| Name |
string |
Získá nebo nastaví název image. |
| Type |
enum:
|
Získá nebo nastaví typ obrázku. |